import { select, arc } from 'd3';

const svg = select('svg');

var width = +svg.attr('width');
var height = +svg.attr('height');
var eyeRadius = 30;
console.log(width);
console.log(height);

const g = svg
	.append('g')
		.attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g
  .append('circle')
    .attr('r',height/2)
    .attr('fill', 'yellow')
    .attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;

const eyesGroup = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`)
    .attr('fill', 'black')
    .attr('stroke', 'black');

const leftEye = eyesGroup
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesGroup
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowWidth = 70;
const eyebrowHeight = 15;
const eyebrowYOffset = -70;

const eyesBrowsGroup = eyesGroup
  .append('g')
    .attr('transform', `translate(0, 0)`);

eyesBrowsGroup
	.transition().duration(2000)
		.attr('transform', `translate(0, ${- 50})`)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${0 })`);

const leftEyebrow = eyesBrowsGroup
	.append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth/2)
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyesBrowsGroup
	.append('rect')
    .attr('x', eyeSpacing - eyebrowWidth/2)
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);


const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI/2,
      endAngle: Math.PI*1.5
    }));